/* TEStaR Box */
div.tbox {
  display: inline-block;
  white-space: nowrap;
}
div.tbox div {
  display       : inline-block;
  float         : left;
  text-align    : left;
  vertical-align: middle;
}
.tfit {
  display       : inline-block;
  overflow      : hidden;
  text-overflow : ellipsis;
  vertical-align: middle;
  white-space   : nowrap;
  width         : 100%;
}
.plc_sta, a.plc_sta {
  color: darkred;
  font-family: monospace;
  font-size: 110%;
  font-weight: bold;
  text-transform: uppercase;
}
a.plc_sta {
  text-decoration: none;
}
.plc_ver {
  font-style: italic;
  font-size: 75%;
  text-transform: lowercase;
}
.figlia, a.figlia {
  color: #AE569A;
}
.dismessa, a.dismessa {
  color: #585858;
}

/* Stazione Pannello */
div.sps {
  font-size  : 10.5pt;
  height     : 56px;
  min-width  : 446px;
  width      : 100%;
}
div.sps p.tfit {
  line-height: 10.5pt;
  padding    : 0 4px 0 4px;
  text-align : left;
  width      : 100%;
}
.sps_grafici {
  background-image   : url('../img/56_ico_grafici_bg.png');
  background-repeat  : no-repeat;
  background-size    : 56px 56px;
  background-origin  : content-box;
  background-position: center;
  cursor             : pointer;
}
.sps_grafici:hover {
  background-image   : url('../img/56_ico_grafici_fg.png');
  background-repeat  : no-repeat;
  background-size    : 56px 56px;
  background-origin  : content-box;
  background-position: center;
}
.sps_grafici:hover a {
  color: white;
}
div.sps div.sps_grafici {
  max-width : 72px;
  min-width : 58px;
  overflow  : hidden;
  text-align: center;
  width     : 14%;
}
div.sps div.sps_grafici p {
  line-height: 10.5pt;
}
div.sps div.sps_det {
  overflow  : hidden;
  text-align: center;
  width     : 59%;
}
img.fld {
  cursor        : pointer;
  height        : 18px;
  vertical-align: middle;
  width         : 18px;
}
div.sps div.sps_ico {
  float         : right;
  height        : 100%;
  max-width     : 120px;
  min-width     : 120px;
  /*padding-top   : 2px;*/
  text-align    : left;
  vertical-align: middle;
  width         : 26%;
}
div.sps div.sps_ico a {
  text-decoration: none;
  vertical-align : middle;
}
div.sps div.sps_ico a img {
  padding       : 2px 0 2px 0;
  vertical-align: middle;
}

/** Immagini glowing
img.glow {
  -webkit-filter    : drop-shadow(0px 0px 0px rgba(255, 255, 255, 0.80));
	-webkit-transition: all 0.1s linear;
	-o-transition     : all 0.1s linear;
	transition        : all 0.1s linear;
}
img.glow:hover {
  -webkit-filter: drop-shadow(0px 0px 8px rgba(0, 231, 255, 0.8));
}
*/

/* TEStaR DateTime Picker */
/* Data e ora */
.tdata {
  text-align: center;
  white-space: nowrap;
  width: 116px;
}
/* Solo data */
.tdatad {
  width: 78px;
}

.radio {
  cursor        : pointer;
  white-space   : nowrap;
  vertical-align: middle;
}
.radio:hover {
  text-decoration: underline;
}
.radio input {
  cursor        : pointer;
  vertical-align: bottom;
}

/* Fenestramento temporale */
div.ft_arrow img {
  cursor: pointer;
  padding: 4px 1% 4px 1%;
  vertical-align: middle;
}
div.ft_arrow img:hover {
  background-color: #A3CCD9;
}
div.ft_sel {
  padding: 6px 0 4px 0;
}
div.ft_sel button {
  color: indigo;
  font-size: 0.8em;
  font-weight: bold;
  margin-left: 2px;
  text-align: left;
  vertical-align: middle;
  width: 19.5%;
  min-width: 28px;
}
select.ft_sel {
  text-align: center;
}
select.ft_sel option {
  text-align: left;
}

/* Grafici */
div.grafici_pannello {
  font-size: 0.8em;
  text-align: center;
  width: 100%;
  min-width: 900px;
}
div.grafici_pannello a {
  text-decoration: none;
}
div.grafici_pannello div {
  text-align: center;
}
div.grafici_pannello img {
  vertical-align: middle;
}
div.grafici_pannello select {
  font-size: 0.8em;
  text-align: center;
  vertical-align: middle;
}
div.grafici_pannello div.grafici_dim {
  color: maroon;
  display: inline-box;
  font-style: italic;
  font-weight: bold;
  line-height: 24px;
  vertical-align: middle;
  width: 100%;
}
div.grafici_pannello div.grafici_dim select {
  vertical-align: top;
}
div.grafici_pannello div.grafici_dim button {
  color: maroon;
  font-size: 0.8em;
  font-weight: bold;
  vertical-align: top;
}
div.grafico_box {
  width: 100%;
}
div.grafico_box div.grafico {
  float     : left;
  overflow  : hidden;
  text-align: center;
  width     : auto;
  /*width: 96%;*/
}
div.grafico_box div.grafico div.grafico_content {
  float   : left;
  overflow: hidden;
}
div.grafico_box div.grafact {
  position      : relative; /* Questo impedisce che il grafico possa ricoprirlo */
  float         : right;
  overflow      : hidden;
  text-align    : center;
  vertical-align: middle;
  width         : auto;
  min-width     : 32px;
  max-width     : 48px;
  height        : 100%;
}
div.grafico_box div.grafact img {
  padding: 3px;
}
/*
div.grafico_box:hover div.grafact {
  background-color: #A3CCD9;
}
*/
div.grafico_box div.grafact img:hover {
  background-color: #A3CCD9; /*#7099A6;*/
}
div.grafico div.grafico_content {
  float: none;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}
div.grafico div.grafico_content div.caricamento {
  margin-top: 50%;
}
div.grafico div.grafico_content div.caricamento img {
  vertical-align: middle;
}

/* Elementi clickabili */
.clicktip, .ano_bol {
  cursor: pointer;
}
ul.clicklist li {
  cursor: pointer;
}
ul.clicklist li:hover {
  text-decoration: underline;
}

/* Inserimento nuova entita' */
div.nuovo20 {
  background: url("../img/20_ico_add.png");
  background-repeat: no-repeat;
  background-size: 20px 20px;
  background-origin: content-box;
  background-position: left center;
  cursor: pointer;
  display: inline-block;
  font-weight: bold;
}
div.nuovo20 span.testo {
  color: darkgreen;
  padding-left: 24px;
}
div.nuovo20 span.mod {
  color: sienna;
  padding-left: 24px;
}
div.nuovo20:hover {
  text-decoration: underline;
}

/* Span per azioni: act */
span.act {
  border        : 1px solid darkslateblue;
  border-radius : 5px;
  cursor        : pointer;
  display       : inline-block;
  height        : 18px;
  padding       : 1px;
  text-align    : center;
  vertical-align: middle;
}
span.act:hover {
  background-color: rgba(0, 0, 100, 0.3);
}
span.act img {
  vertical-align: middle;
}
span.actimgkk {
  background: url('../img/16_ico_visto_yellow.png') center center no-repeat no-repeat;
}
span.actimgko {
  background: url('../img/16_ico_visto_red.png') center center no-repeat no-repeat;
}
span.actimgok {
  background: url('../img/16_ico_visto_green.png') center center no-repeat no-repeat;
}
span.actkk {
  background-color: rgba(200, 200, 0, 0.15);
  border          : 1px solid darkgoldenrod;
}
span.actkk:hover {
  background-color: rgba(200, 200, 0, 0.45);
}
span.actko {
  background-color: rgba(200, 0, 0, 0.15);
  border          : 1px solid darkred;
}
span.actko:hover {
  background-color: rgba(200, 0, 0, 0.45);
}
span.actok {
  background-color: rgba(0, 200, 0, 0.15);
  border          : 1px solid darkgreen;
}
span.actok:hover {
  background-color: rgba(0, 200, 0, 0.45);
}
span.act20 {
  width: 20%;
}
span.act25 {
  width: 25%;
}
span.act33 {
  width: 33%;
}
span.act50 {
  width: 50%;
}

/*** Pulsanti ***/
span.pulsante {
  background-color: rgb(200, 215, 255);
  border          : 1px solid darkslateblue;
  border-radius   : 12px;
  cursor          : pointer;
  display         : inline-block;
  min-width       : 60%;
  padding         : 3px 12px;
  text-align      : center; 
}
span.pulsante:hover {
  background-color: rgb(180, 195, 255);
}
span.pulsante.pulsante-rosso {
  background-color: rgb(255, 215, 200);
}
span.pulsante.pulsante-rosso:hover {
  background-color: rgb(255, 195, 180);
}
span.pulsante.pulsante-verde {
  background-color: rgb(200, 255, 215);
}
span.pulsante.pulsante-verde:hover {
  background-color: rgb(180, 255, 195);
}
